NovemberRain

Well-Known Member
Sep 24, 2003
112
3
168
İstanbul
cPanel Access Level
Root Administrator
Hello,

You cam install ionCube Loader with the php 7. Are you getting any issues while installing it ?
Actually people can do many other things cpanel does by themselves. They can install php by themselves etc. Please don't post just to advertise your services.

I agree with the OP. ioncube for php 7 is the only thing missing now. Please bring it! :)
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463
Hello,

Internal case EA-5267 is open for the inclusion of IonCube version 6 to allow for IonCube encoded web applications with PHP 7. There's currently no time frame to offer on it's inclusion, but I'll update this thread with more information once it's available. In the meantime, you can manually install IonCube Loaders as mentioned in the earlier responses.

Thank you.
 
  • Like
Reactions: Kent Brockman

Kent Brockman

Well-Known Member
PartnerNOC
Jan 20, 2008
1,287
64
178
Buenos Aires, Argentina
cPanel Access Level
Root Administrator
Thanks guys for the outcome. This is a very important request for some of our customers, who use proprietary software but are still stuck on PHP 5.6 with its performance disadvantages. I'll be more than happy to hear soon about this request coming true :)
Cheers!
 
  • Like
Reactions: cPanelMichael

nimonogi

Member
Mar 11, 2011
21
0
51
Hello,

Internal case EA-5267 is open for the inclusion of IonCube version 6 to allow for IonCube encoded web applications with PHP 7. There's currently no time frame to offer on it's inclusion, but I'll update this thread with more information once it's available. In the meantime, you can manually install IonCube Loaders as mentioned in the earlier responses.

Thank you.
Can you provide step-by-step instructions on how we can do this manually?
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463

jonh

Well-Known Member
Feb 15, 2016
86
5
8
NY
cPanel Access Level
Root Administrator
I've installed ioncube 7 and added the line to the php7 php.ini as the very first line in the file, restarted apache but keep getting this error:

PHP Fatal error: [ionCube Loader] The Loader must appear as the first entry in the php.ini file in Unknown on line 0

I've added this to the php7 ini file in MultiPHP INI Editor:
zend_extension = /opt/cpanel/ea-php70/root/usr/lib64/php/modules/ioncube_loader_lin_7.0.so

I'm not sure how to fix this.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463
New I've installed ioncube 7 and added the line to the php7 php.ini as the very first line in the file, restarted apache but keep getting this error:
Could you let us know which installation instructions you used, or the steps you took to install it? For instance, your response suggests you are attempting to manually enable it globally, instead of individually on a single account.

Mod Note: Continued on:

php7 ioncube


Thank you.
 
Last edited:

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463
Ioncube Loader version 6 is now available in EasyApache 4. You can install it via the following commands for each PHP version:

Code:
yum install ea-php55-php-ioncube6
yum install ea-php56-php-ioncube6
yum install ea-php70-php-ioncube6
Ensure to remove any existing packages for the previous version of Ioncube before running attempting to run the above commands. EX:

Code:
yum remove ea-php56-php-ioncube
This is documented at:

PHP Loader: ionCube 6 - EasyApache 4 - cPanel Documentation

Thank you.